Namespace
library
Image / Tag
consul:1.4.0-rc1
Content Digest
sha256:a8fa726dbc92ab9490554843584baa9b8577bac2bb88ec5181f53da0284cf6e1
Details
Created

2018-10-25 10:43:03 UTC

Size

35.2 MB

Content Digest
Environment
CONSUL_VERSION

1.4.0-rc1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0a615535caf92b95d6aefc87792c439acc9382c9f2e6e6c4b3e03cbdb6dbf780 - 5.87% (2.07 MB)

[#001] sha256:31ddaaefef8d71bb2c30e7997b9ecdc5c2ae2fe5d5cc08ab092f712854b3bce9 - 0.0% (176 Bytes)

[#002] sha256:937b4b42aae5c1d0e8bae37923512a0a9a4042b6097c3fff9aea7f9e588f1e2c - 0.0% (1.22 KB)

[#003] sha256:55d1cecabfdb7bc8f97e5c949ea31c81f03149edec646fcc7a8257c27869b309 - 94.12% (33.2 MB)

[#004] sha256:b61fa28cfbb567e1d0330916a8f393f3588a83304aead1447d02f4cb774cc13a - 0.0% (143 Bytes)

[#005] sha256:2885f3cdb2b19c96b81b94fb8245b582c343fc6c9e249f10eb255316456a1ffa - 0.0% (153 Bytes)

[#006] sha256:6f549bd0e66e34aaee6726cb79731fef5edebecdb737efc1c99915f1342a1277 - 0.0% (1.64 KB)


History
2018-09-12 10:38:44 UTC

/bin/sh -c #(nop) ADD file:93897520864ded37d275998a619998bf26766ad41a3f5a9a379830983cd4a34a in /

2018-09-12 10:38:44 UTC

/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime

2018-09-12 10:38:44 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-09-12 12:08:08 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-10-25 10:42:51 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.4.0-rc1

2018-10-25 10:42:52 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-10-25 10:42:52 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-10-25 10:43:00 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-10-25 10:43:01 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-10-25 10:43:02 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-10-25 10:43:02 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-10-25 10:43:02 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-10-25 10:43:02 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-10-25 10:43:02 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-10-25 10:43:03 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-10-25 10:43:03 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-10-25 10:43:03 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2018-10-25 01:06:01 UTC

Size

36 MB

Content Digest
Environment
CONSUL_VERSION

1.4.0-rc1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c67f3896b22c1378881cbbb9c9d1edfe881fd07f713371835ef46d93c649684d - 5.57% (2.01 MB)

[#001] sha256:194e9f37d7ddb96a407bf444708215a52e3f5924c965882357cd1d2cb63dc228 - 0.0% (1.22 KB)

[#002] sha256:f5105897b2a274f5cb851298516ffb8a75578c67ba50b802e3f6db63b863e233 - 94.42% (34 MB)

[#003] sha256:cdaef512b1dd8cc3642f9e17cc4e94061e6563e76c4f8911cfd08d2f7ec3d424 - 0.0% (143 Bytes)

[#004] sha256:c0c2693ebd638a3f07dd7230634720a6219946c44004577e32b7d0e4f8c78f6d - 0.0% (154 Bytes)

[#005] sha256:34b4564550cdb4fdcfff9b9e7c1fecaf28b99d2e0b738103b8b722ec72f02975 - 0.0% (1.64 KB)


History
2018-09-11 22:19:38 UTC

/bin/sh -c #(nop) ADD file:49f9e47e678d868d5b023482aa8dded71276a241a665c4f8b55ca77269321b34 in /

2018-09-11 22:19:39 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-09-11 22:44:30 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-10-25 01:05:51 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.4.0-rc1

2018-10-25 01:05:51 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-10-25 01:05:52 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-10-25 01:05:58 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-10-25 01:05:59 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-10-25 01:06:00 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-10-25 01:06:00 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-10-25 01:06:00 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-10-25 01:06:00 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-10-25 01:06:00 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-10-25 01:06:01 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-10-25 01:06:01 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-10-25 01:06:01 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2018-10-25 07:49:47 UTC

Size

34.1 MB

Content Digest
Environment
CONSUL_VERSION

1.4.0-rc1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c2dacc7b3755044bd80e7edb446986de7cfade7636ea19f3b7eb64e8c88bf3fd - 5.73% (1.96 MB)

[#001] sha256:684756a9d4ca4d4de310f5d47bb7c15bd0065aa787da5bab1736082d28281370 - 0.0% (175 Bytes)

[#002] sha256:56427b9320bd9babe85940c70a6267a931a4944ada4ca3471aab65a8545fb537 - 0.0% (1.25 KB)

[#003] sha256:0d9d465eebac3f37050164d379177d4630c1070a031d3b61ab9a0799db49dc18 - 94.26% (32.2 MB)

[#004] sha256:4e518ab21fe115f53d6449f9198afe31522e71d2129021bf801c902582024212 - 0.0% (176 Bytes)

[#005] sha256:a3fc0ec62637520b5fe4e41a9833654502e902c2109811a8af9cc9dcfa92150f - 0.0% (154 Bytes)

[#006] sha256:2fe425fb430ff4dfa6f9051bf5b34179452aaa5bc87f8291341287b1950109b0 - 0.0% (1.64 KB)


History
2018-09-12 07:49:32 UTC

/bin/sh -c #(nop) ADD file:47756a54e89ec523296aa20963b604f1619f1346f5ef85cd184d29694b45ca41 in /

2018-09-12 07:49:33 UTC

/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime

2018-09-12 07:49:34 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-09-12 07:52:49 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-10-25 07:49:29 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.4.0-rc1

2018-10-25 07:49:30 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-10-25 07:49:31 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-10-25 07:49:41 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-10-25 07:49:42 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-10-25 07:49:44 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-10-25 07:49:44 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-10-25 07:49:45 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-10-25 07:49:45 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-10-25 07:49:45 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-10-25 07:49:46 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-10-25 07:49:46 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-10-25 07:49:47 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2018-10-25 08:44:56 UTC

Size

33.7 MB

Content Digest
Environment
CONSUL_VERSION

1.4.0-rc1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f0599ed267cb750a3c0ebeb55004b5a818b7e9a7e8071b49e687d11349556868 - 5.65% (1.91 MB)

[#001] sha256:9e2c71dece06bcd39f8fb81b4fae422241fd8bfca8b0cb16ea4bc4b77c87f4af - 0.0% (176 Bytes)

[#002] sha256:4bc0ca8466444620dc301f1da15b4789fdab46ce1bbf3b34639cf283dd487059 - 0.0% (1.22 KB)

[#003] sha256:404919089fccd045c07d0ba9a36a9d405911963c2b541530075eeb9402f1724d - 94.34% (31.8 MB)

[#004] sha256:3a0ef0300674ef9bfa84dfa5fb2d04c81343d9b9cd2f63906f512d47315029b0 - 0.0% (142 Bytes)

[#005] sha256:3f929e29de9ba8d1eef8ed7400cdfa5231331b29d796d5e06699c53c488aa380 - 0.0% (154 Bytes)

[#006] sha256:457034128fd657d90c486df5701ff33d810ae3e721b5ecd0bccc6951de92579a - 0.0% (1.64 KB)


History
2018-09-12 08:41:29 UTC

/bin/sh -c #(nop) ADD file:d7effd9b71d0299a88ead16cb21ff39bd03c51dcd49408147c06b40183157703 in /

2018-09-12 08:41:30 UTC

/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime

2018-09-12 08:41:31 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2018-09-15 08:53:02 UTC

/bin/sh -c #(nop) MAINTAINER Preetha Appan <preetha@hashicorp.com> (@preetapan)

2018-10-25 08:44:24 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.4.0-rc1

2018-10-25 08:44:25 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2018-10-25 08:44:28 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2018-10-25 08:44:43 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2018-10-25 08:44:46 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2018-10-25 08:44:48 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2018-10-25 08:44:49 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2018-10-25 08:44:50 UTC

/bin/sh -c #(nop) EXPOSE 8300/tcp

2018-10-25 08:44:51 UTC

/bin/sh -c #(nop) EXPOSE 8301/tcp 8301/udp 8302/tcp 8302/udp

2018-10-25 08:44:52 UTC

/bin/sh -c #(nop) EXPOSE 8500/tcp 8600/tcp 8600/udp

2018-10-25 08:44:54 UTC

/bin/sh -c #(nop) COPY file:4d7013a8316461b27eb7cb7d1002f1be6aa386a925388563c1989385ebf30c2c in /usr/local/bin/docker-entrypoint.sh

2018-10-25 08:44:55 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2018-10-25 08:44:56 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]